# TODO seems qt/qt5 widget of peazip is broken, startup crashes
# so before re-enable qt widget make sure peazip starts and works properly
%bcond_with qt

Summary:	File and archive manager
Name:		peazip
Version:	7.3.1
Release:	%mkrel 1
License:	LGPLv3
Group:		File tools
Url:		http://www.peazip.org/peazip-linux.html
Source0:	https://download.sourceforge.net/%{name}/%{name}-%{version}.src.zip
Source1:        https://sourceforge.net/projects/peazip/files/%{version}/peazip_help.pdf
# configure to run in users home appdata
Source2:	altconf.txt
Source3:	%{name}.desktop
Patch0:		peazip-6.7.1-aarch64.patch
Patch1:		peazip-6.7.1-debuginfo.patch
BuildRequires:	dos2unix
BuildRequires:	lazarus >= 1.2.0
%if %{with qt}
BuildRequires:	qt4pas-devel
BuildRequires:	qt4-devel
BuildRequires:	pkgconfig(QtWebKit)
%else
BuildRequires:	pkgconfig(gtk+-2.0)
%endif
BuildRequires:	icoutils
BuildRequires:	p7zip
BuildRequires:	unzip
Requires:	p7zip
Requires:	upx >= 3.09

%description
PeaZip is a free cross-platform file archiver that provides a unified
portable GUI for many Open Source technologies like 7-Zip, FreeArc, PAQ,
UPX...

%prep
%setup -q -n %{name}-%{version}.src
%autopatch -p1
chmod +w res/lang
dos2unix readme*

%build
lazbuild --lazarusdir=%{_libdir}/lazarus \
%ifarch x86_64
	--cpu=x86_64 \
%endif
%if %{with qt}
	--widgetset=qt \
%else
	--widgetset=gtk2 \
%endif
	-B project_peach.lpi project_pea.lpi

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/%{name}
rm -rf res/icons
cp -r res %{buildroot}%{_datadir}/%{name}
cp %{SOURCE2} %{buildroot}%{_datadir}/%{name}/res

#install helper apps
mkdir -p %{buildroot}%{_datadir}/%{name}/res/{7z,upx}
ln -s %{_bindir}/7z  %{buildroot}%{_datadir}/%{name}/res/7z
ln -s %{_bindir}/upx  %{buildroot}%{_datadir}/%{name}/res/upx

install -m 0644 %{SOURCE1} %{buildroot}%{_datadir}/%{name}/

install pea %{buildroot}%{_datadir}/%{name}/res
ln -s %{_datadir}/%{name}/res/pea %{buildroot}%{_bindir}/pea
install %{name} %{buildroot}%{_datadir}/%{name}
ln -s %{_datadir}/%{name}/%{name} %{buildroot}%{_bindir}/%{name}

mkdir -p %{buildroot}%{_datadir}/applications
install -m 0644 %{SOURCE3} %{buildroot}%{_datadir}/applications/

mkdir -p %{buildroot}%{_iconsdir}/hicolor/256x256/apps
install -m 0644 FreeDesktop_integration/peazip.png %{buildroot}%{_iconsdir}/hicolor/256x256/apps/%{name}.png
rm -rf %{buildroot}%{_datadir}/%{name}/res/icons

%files
%doc readme copying.txt
%{_bindir}/*
%{_datadir}/icons/hicolor/*/apps/*.png
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}/


%changelog
* Sat Jun 06 2020 daviddavid <daviddavid> 7.3.1-1.mga8
+ Revision: 1590676
- new version: 7.3.1

* Sat Feb 15 2020 umeabot <umeabot> 6.9.0-2.mga8
+ Revision: 1528377
- Mageia 8 Mass Rebuild

* Tue Aug 20 2019 daviddavid <daviddavid> 6.9.0-1.mga8
+ Revision: 1430423
- new version: 6.9.0

* Tue Jul 02 2019 daviddavid <daviddavid> 6.8.1-1.mga8
+ Revision: 1417574
- new version: 6.8.1

* Mon Apr 15 2019 daviddavid <daviddavid> 6.7.2-1.mga7
+ Revision: 1390628
- new version: 6.7.2

* Sun Mar 17 2019 daviddavid <daviddavid> 6.7.1-1.mga7
+ Revision: 1378442
- new version: 6.7.1
- switch to gtk2 widget as qt widget seems broken and startup crashes
- add upstream peazip_help.pdf file
- pealauncher is removed upstream

* Mon Oct 29 2018 daviddavid <daviddavid> 6.6.1-1.mga7
+ Revision: 1326540
- new version: 6.6.1

* Mon Oct 29 2018 daviddavid <daviddavid> 6.6.0-3.mga7
+ Revision: 1326521
- enable debug package as it should

* Thu Oct 11 2018 pterjan <pterjan> 6.6.0-2.mga7
+ Revision: 1319535
- Exclude aarch64, one file will need a dedicated implementation
- Add a patch for aarch64
- Update to 6.6.0
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Wed Feb 15 2017 daviddavid <daviddavid> 5.9.1-3.mga6
+ Revision: 1086308
- use a source file for the desktop file instead of all these lines in the spec file

* Sat Jul 30 2016 pterjan <pterjan> 5.9.1-2.mga6
+ Revision: 1044002
- Fix build on arm
+ shlomif <shlomif>
- Correct typos

* Mon Jan 11 2016 luigiwalser <luigiwalser> 5.9.1-1.mga6
+ Revision: 921772
- 5.9.1
- build Qt interface (mga#14070)

* Sat Nov 22 2014 alexl <alexl> 5.1.1-5.mga5
+ Revision: 798265
- add translations for desktop file

* Wed Oct 15 2014 umeabot <umeabot> 5.1.1-4.mga5
+ Revision: 743846
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 dams <dams> 5.1.1-1.mga4
+ Revision: 500632
- new version 5.1.1
+ fwang <fwang>
- now based on gtk

* Fri Sep 13 2013 fwang <fwang> 5.1.0-1.mga4
+ Revision: 478289
- new version 5.1.0

* Tue Jun 25 2013 dams <dams> 5.0-2.mga4
+ Revision: 446651
- Finally disable debug as it's an empty rpm...
- Try to make specfile better...
- Add 'pea' and 'pealauncher'
- Enable debug package

* Tue Jun 25 2013 dams <dams> 5.0-1.mga4
+ Revision: 446620
- new version 5.0

* Tue Jun 25 2013 dams <dams> 4.9.2-1.mga4
+ Revision: 446606
- fix icons installation
- clean specfile
- improve icon rendering by providing a better icon size
+ joequant <joequant>
- update to 4.9.2
- get compile for 64-bit
  set up directories so that everything works
+ malo <malo>
- update to 4.6.1
- builds only on i586
- imported package peazip

